HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE.ByReference (JNA API)

com.sun.jna.platform.win32

## Class HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE.ByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE.ByReference

- All Implemented Interfaces:
    NativeMapped
  Enclosing class:
    HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE

      public static class HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE.ByReference
      extends ByReference

  Defines a Reference to the enum

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()` Create an uninitialized reference
    `ByReference(HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE value)` Instantiates a new reference.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE` | `getValue()` Gets the value.
    `void` | `setValue(HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE value)` Sets the value.

    - ### Methods inherited from class com.sun.jna.ptr.ByReference

      `toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByReference

          public ByReference()

      Create an uninitialized reference

    - #### ByReference

          public ByReference(HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE value)

      Instantiates a new reference.
      Parameters:
        `value` - the value

  - ### Method Detail

    - #### setValue

          public void setValue(HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE value)

      Sets the value.
      Parameters:
        `value` - the new value

    - #### getValue

          public HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE getValue()

      Gets the value.
      Returns:
        the value

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.